<?xml version="1.0" encoding="iso-8859-1"?>
<root version="2.0">

	<windowclass name="feuillepersonnage_principal">
		<frame name="generique_feuillepersonnage_principal" />
		<datasource name="feuillepersonnage" />
		<placement>
			<size>
				<width>449</width>
				<height>651</height>
			</size>
			<position>
				<x>415</x>
				<y>450</y>
			</position>
		</placement>
		
		<sheetdata>
			
		<!-- Nom -->

			<stringfield name="name" >
				<bounds rect="74,41,359,20" />
				<font name="sheettext2" />
			</stringfield>

		<!-- Origine -->
		
			<stringfield name="origine" >
				<bounds rect="133,65,300,20" />
				<font name="sheettext2" />
			</stringfield>

		<!-- Style -->
		
			<stringfield name="style" >
				<bounds rect="104,97,329,20" />
				<font name="sheettext2" />			
			</stringfield>
			
		<!-- Branche -->			
			
			<stringfield name="branche" >
				<bounds rect="133,121,300,20" />
				<font name="sheettext2" />
			</stringfield>

		<!-- Spécialité -->			
			
			<stringfield name="specialite" >
				<bounds rect="176,145,258,20" />
				<font name="sheettext2" />
			</stringfield>

				
				
		<!-- Doigté-->
		

		<numberComp name="Doigte_valeur">				
				<bounds rect="126,179,37,22" />
				<script>
					function rollDice()
						local desc = getValue();					
						ChatManager.throwDice("dice", {"d20"}, 0, "Doigté : ("..getValue()..")");
					end			  
					function onDoubleClick(x, y)
						rollDice();
					end
				</script>
		</numberComp>

			<numberfield name="Initiativebase_valeur" source="Initiative.base">				
				<bounds rect="28,226,45,26" />
				<font name="sheetnumber" />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
				</script>				
			</numberfield>

			<numberfield name="Initiativeactuelle_valeur" source="Initiative.actuelle">				
				<bounds rect="125,226,45,26" />
				<font name="sheetnumber" />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
				</script>				
			</numberfield>
			
		<!-- Robustesse-->
		

		<numberComp name="Robustesse_valeur">				
				<bounds rect="385,179,37,22" />
				<script>
					function rollDice()
						local desc = getValue();					
						ChatManager.throwDice("dice", {"d20"}, 0, "Robustesse : ("..getValue()..")");
					end			  
					function onDoubleClick(x, y)
						rollDice();
					end
				</script>
		</numberComp>

			<numberfield name="Santebase_valeur" source="Sante.base">				
				<bounds rect="245,226,45,26" />
				<font name="sheetnumber" />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
				</script>				
			</numberfield>

			<numberfield name="Santeactuelle_valeur" source="Sante.actuelle">				
				<bounds rect="342,226,45,26" />
				<font name="sheetnumber" />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
				</script>				
			</numberfield>
			
		<!-- Caractère-->
		

		<numberComp name="Caractere_valeur">				
				<bounds rect="162,278,37,22" />
				<script>
					function rollDice()
						local desc = getValue();					
						ChatManager.throwDice("dice", {"d20"}, 0, "Caractere : ("..getValue()..")");
					end			  
					function onDoubleClick(x, y)
						rollDice();
					end
				</script>
		</numberComp>

			<numberfield name="Aplombbase_valeur" source="Aplomb.base">				
				<bounds rect="28,327,45,26" />
				<font name="sheetnumber" />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
				</script>				
			</numberfield>

			<numberfield name="Aplombactuel_valeur" source="Aplomb.actuel">				
				<bounds rect="125,327,45,26" />
				<font name="sheetnumber" />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
				</script>				
			</numberfield>
			
		<!-- Cervelle-->
		

		<numberComp name="Cervelle_valeur">				
				<bounds rect="358,278,37,22" />
				<script>
					function rollDice()
						local desc = getValue();					
						ChatManager.throwDice("dice", {"d20"}, 0, "Cervelle : ("..getValue()..")");
					end			  
					function onDoubleClick(x, y)
						rollDice();
					end
				</script>
		</numberComp>
		
			<numberfield name="Luciditebase_valeur" source="Lucidite.base">				
				<bounds rect="246,327,45,26" />
				<font name="sheetnumber" />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
				</script>				
			</numberfield>

			<numberfield name="Luciditeactuelle_valeur" source="Lucidite.actuelle">				
				<bounds rect="343,327,45,26" />
				<font name="sheetnumber" />
				<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 10 then
							setValue(10);
						end
					end
				</script>				
			</numberfield>		
		
<!-- Vitalité -->

			<checkbox name="egratignures1">
				<bounds rect="172,408,16,16" />				
			</checkbox>				
		
			<checkbox name="egratignures2">
				<bounds rect="187,408,16,16" />				
			</checkbox>				
		
			<checkbox name="egratignures3">
				<bounds rect="202,408,16,16" />				
			</checkbox>				
		
		
			<checkbox name="blessureslegeres1">
				<bounds rect="172,425,16,16" />				
			</checkbox>				
		
			<checkbox name="blessureslegeres2">
				<bounds rect="187,425,16,16" />				
			</checkbox>				
		
			<checkbox name="blessureslegeres3">
				<bounds rect="202,425,16,16" />				
			</checkbox>		

			
			<checkbox name="blessuresgraves1">
				<bounds rect="172,443,16,16" />				
			</checkbox>				
		
			<checkbox name="blessuresgraves2">
				<bounds rect="187,443,16,16" />				
			</checkbox>				
		
			<checkbox name="blessuresgraves3">
				<bounds rect="202,443,16,16" />				
			</checkbox>		


			<checkbox name="blessurescritiques1">
				<bounds rect="172,460,16,16" />				
			</checkbox>				
		
			<checkbox name="blessurescritiques2">
				<bounds rect="187,460,16,16" />				
			</checkbox>				
		
			<checkbox name="blessurescritiques3">
				<bounds rect="202,460,16,16" />				
			</checkbox>					
		
		
			<checkbox name="blessuresmortelles1">
				<bounds rect="172,478,16,16" />				
			</checkbox>				
		
			<checkbox name="blessuresmortelles2">
				<bounds rect="187,478,16,16" />				
			</checkbox>				
			
		
		
<!-- Endurance -->

			<checkbox name="egratignures21">
				<bounds rect="172,552,16,16" />				
			</checkbox>				
		
			<checkbox name="egratignures22">
				<bounds rect="187,552,16,16" />				
			</checkbox>				
		
			<checkbox name="egratignures23">
				<bounds rect="202,552,16,16" />				
			</checkbox>				
		
		
			<checkbox name="ecchymoses1">
				<bounds rect="172,570,16,16" />				
			</checkbox>				
		
			<checkbox name="ecchymoses2">
				<bounds rect="187,570,16,16" />				
			</checkbox>				
		
			<checkbox name="ecchymoses3">
				<bounds rect="202,570,16,16" />				
			</checkbox>		

			
			<checkbox name="coups1">
				<bounds rect="172,588,16,16" />				
			</checkbox>				
		
			<checkbox name="coups2">
				<bounds rect="187,588,16,16" />				
			</checkbox>				
		
			<checkbox name="coups3">
				<bounds rect="202,588,16,16" />				
			</checkbox>		


			<checkbox name="blessures1">
				<bounds rect="172,605,16,16" />				
			</checkbox>				
		
			<checkbox name="blessures2">
				<bounds rect="187,605,16,16" />				
			</checkbox>				
		
			<checkbox name="blessures3">
				<bounds rect="202,605,16,16" />				
			</checkbox>					
		
		
			<checkbox name="ko1">
				<bounds rect="172,622,16,16" />				
			</checkbox>				
		
			<checkbox name="ko2">
				<bounds rect="187,622,16,16" />				
			</checkbox>			
		
<!-- Traits -->

			<stringfield name="Traits" >
				<bounds rect="255,410,183,100" />
				<multiline spacing="12" />
				<font name="sheetlabelsmall2" />
			</stringfield>		
		
		
<!-- Crasse -->

			<checkbox name="crasse1">
				<bounds rect="295,553,16,16" />				
			</checkbox>				
		
			<checkbox name="crasse2">
				<bounds rect="316,553,16,16" />				
			</checkbox>				
		
			<checkbox name="crasse3">
				<bounds rect="337,553,16,16" />				
			</checkbox>					
			
			<checkbox name="crasse4">
				<bounds rect="358,553,16,16" />				
			</checkbox>				
		
			<checkbox name="crasse5">
				<bounds rect="379,553,16,16" />				
			</checkbox>			
				
<!-- Expérience -->

			<numberfield name="Experience_valeur" source="experience.actuelle">				
				<bounds rect="316,606,45,26" />
				<font name="sheetnumber" />			
			</numberfield>			
		
		
		
		
		
	
		</sheetdata>
	</windowclass>
	
	
	
	
	<template name="numberComp">
		<numberfield>
			<frame name="fondgris" />
			<font name="sheetnumber" />
			<script>
					function onInit()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 20 then
							setValue(20);
						end
					end
								
					function onValueChanged()
						if getValue() &lt; 0 then
							setValue(0);
						elseif getValue() &gt; 20 then
							setValue(20);
						end
					end
				</script>			
		</numberfield>
	</template>
	
</root>